
TYPO3.Flow - Bug # 33968

Status: Closed Priority: Should have
Author: Richard Lederer Category: Resource
Created: 2012-02-16 Assigned To: Rens Admiraal
Updated: 2012-05-30 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.2
Subject: Missing privileges to create symlinks in Windows cause exception
Description

Warning: symlink() [<a href='function.symlink'>function.symlink</a>]: Cannot create symlink, error code(1314) in
C:\xampp\htdocs\FLOW3\Data\Temporary\Development\Cache\Code\FLOW3_Object_Classes\TYPO3_FLOW3_Resource_Publishing_FileSystemPublishingTarget_Original.php line 117
g_FileSystemPublishingTarget_Original.php line 117
9 TYPO3\FLOW3\Error\ErrorHandler::handleError(2, "symlink() [<a href='function.symlink'>function.sym…link</a>]: Cannot create
symlink, error code(1314)",
"C:\xampp\htdocs\FLOW3\Data\Temporary\Development\C…Publishing_FileSystemPublishingTarget_Original.php", 117, array)

8 symlink("C:/xampp/htdocs/FLOW3/Packages/Framework/TYPO3.FLOW3/Resources/Public",
"C:/xampp/htdocs/FLOW3/Web/_Resources/Static/Packages/TYPO3.FLOW3")

7
TYPO3\FLOW3\Resource\Publishing\FileSystemPublishingTarget_Original::publishStaticResources("C:/xampp/htdocs/FLOW3/Packag
ges/Framework/TYPO3.FLOW3/Resources/Public/", "Packages/TYPO3.FLOW3/")

6
TYPO3\FLOW3\Resource\Publishing\ResourcePublisher_Original::publishStaticResources("C:/xampp/htdocs/FLOW3/Packages/Frame
ework/TYPO3.FLOW3/Resources/Public/", "Packages/TYPO3.FLOW3/")

5 TYPO3\FLOW3\Resource\ResourceManager_Original::publishPublicPackageResources(array)

4 TYPO3\FLOW3\Core\Bootstrap::initializeResources()

3 TYPO3\FLOW3\Core\Bootstrap::initializeForRuntime()

2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()

1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

Related issues:
related to TYPO3.Flow - Bug # 35935: Symlinks still don't work reliably under... Closed 2012-04-13
related to TYPO3.Flow - Task # 11683: symlink() is not working on Windows XP Resolved 2010-12-24

History
#1 - 2012-02-16 11:22 - Karsten Dambekalns
- Category changed from - Error Handler Report - to Resource
- Status changed from New to Needs Feedback
- Assigned To set to Rens Admiraal
- Priority changed from Must have to Should have

Rens, could you take care of this? Yo are working on symlinks and Windows anyway, right?
The error is caused by the privileges needed to create symlinks in Windows are missing, from all I know:
    -  http://stackoverflow.com/questions/2094663/determine-if-windows-process-has-privilege-to-create-symbolic-link
    -  https://bugs.php.net/54141

#2 - 2012-03-07 18:50 - Karsten Dambekalns
- Subject changed from TYPO3\FLOW3\Error\Exception thrown in file ErrorHandler.php to Missing privileges to create symlinks in Windows cause 
exception

#3 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#4 - 2012-03-07 23:23 - Rens Admiraal

Sure, will have a look at it.

@Richard: could you be so kind to add a note with the exact windows version you use?

#5 - 2012-03-09 23:34 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9528

#6 - 2012-03-09 23:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9528

#7 - 2012-03-09 23:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9528

#8 - 2012-03-12 18:55 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9528

#9 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#10 - 2012-05-30 22:01 - Karsten Dambekalns
- Status changed from Under Review to Closed
